/*

The Life of a Geek
Copyright (C) 2003-2004 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com

comp.h: Class Computer

8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address
and copyright.
7/4/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Added support for
computer experience points and level, updated LevelUp().
4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: To be more
considerate, replaced all bools with ints.

*/

#ifndef _COMP_H
#define _COMP_H

class Computer
{
	public:

		Computer();
		Computer(Computer& c);
		~Computer();

		void SetInfected(int n); // 0 = infected, 1 = not infected
		int GetInfected(); // Infected with a virus?
		void SetHealth(int n);
		int GetHealth();
		void SetMaxHealth(int n);
		int GetMaxHealth();
		void SetSecurity(int n); // Security level
		int GetSecurity();
		void SetLevel(int n); // Level (overall level)
		int GetLevel();
		void SetExp(int n); // Experience points (after last level up)
		int GetExp();

	private:

		void LevelUp(); // Go up in level
		int Infected; // Is the computer infected with a virus?
		int Health; // Current health of the computer
		int MaxHealth; // Max health of the computer
		int Security; // Security level
		int Level; // Computer level
		int Exp; // Experience points (after last level up)
};

#endif
