/*

The Life of a Geek
Copyright (C) 2003-2004 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com 

version.h: Global variables and defines 

11/26/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Added support for ostrstream.
8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address,
added FreeBSD support.
6/6/04: Daniel Quintiliani <coredump0@mercurylink.net>: New, easier install
procedure.
3/16/04: Daniel Quintiliani <coredump0@mercurylink.net>: Added instructions 
for Mac OS X compilation & savefiles.
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address,
added score file, updated copyright.
6/14/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Fixed support for
older compilers/C libraries.
6/13/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Now contains
HAVE_STRLWR define and CURRENCY_SEPARATOR.
5/20/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Now contains file
info as well and initialized in version.c. Updated to version 0.22
4/24/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Updated to version
0.21
4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: Updated to version
0.2

*/

#ifndef _VERSION_H
#define _VERSION_H

/* INSTALLATION

   Uncomment:

   CONFIG_LINUXOLD for an installation (prefix /usr/local, requires root 
			  privileges to install) on an older Linux system 
			  (pre-glibc-2.1) which does not have roundf() or 
			  truncf() and uses ostrstream instead of ostringstream
   
   CONFIG_LINUX for an installation (prefix /usr/local, requires root 
		privileges to install) on a modern Linux system (glibc-2.1 and 
		later).

   CONFIG_WIN for Windows with the Cygwin compiler, prefix /usr/local 
              (binary NOW REQUIRES Cygwin DLLs)
 
   CONFIG_MAC for Mac OS X (I know nothing about this)

   CONFIG_FREEBSD for FreeBSD (I know nothing about this)

   Other operating systems are untested, but you can try different setups.

   Please report your successes (and failures) with different operating systems
   to me so that I may put them here and others may benefit from them. */

/* #define CONFIG_LINUXOLD */
/* #define CONFIG_LINUX */
/* #define CONFIG_WIN */
/* #define CONFIG_MAC */
/* #define CONFIG_FREEBSD */

/* You shouldn't need to change anything below here. */  
 
#if !defined CONFIG_LINUXOLD || !defined CONFIG_FREEBSD
#define _ISOC9X_SOURCE 1
#define _ISOC99_SOURCE 1
#endif

#ifdef CONFIG_LINUX
#include <features.h>
#endif

#ifdef CONFIG_WIN
#define HAVE_STRLWR
#endif

#ifdef CONFIG_LINUXOLD
#define OSTR
#endif

extern char* LIFEGEEK_VERSION;
extern char CURRENCY_SEPARATOR;
extern char* MAINFILE;
extern char* LICENSEFILE;
extern char* WASTEFILE;
extern char* JOBFILE;
extern char* SCOREFILE;
extern char* SAVEFILES;

#endif
